<template>
<main>
    <agile>
<div class="slide">
    <h1>Acceuil</h1>
    <p>Elouan DUVAL - 35590 - L'HERMITAGE<br></p>
    <h2>Mon parcours de formations : </h2>
    <ul>
        <li>
            2011 - 2015 : Collège Saint-Yves à Mordelles
        </li>
        <li>
            2015-2016: 2nde générale au lycée Théodore Monod du Rheu
        </li>
        <li>
            2016 - 2017 : 1ère technologique STMG au lycée Victor et Hélène Basch
        </li>
        <li>
            2017 - 2018 : Bac technologique STMG spécialité SIG au lycée Victor et Hélène Basch
        </li>
        <li>
            2018 - en cours : BTS SIO option SLAM au lycée Victor et Hélène Basch
        </li>
    </ul>
    <h2>Mes expériences professionnelles : </h2>
    <ul>
        <li>
            2019 : stage de BTS SIO - développement d'une application ludique pour la médiathèque
        </li>
        <li>
            2020 : stage de BTS SIO - refonte d'une application web interne frontend et backend
        </li>
    </ul>
    <h2>Mes compétences :</h2>
    <ul>
        <ol>
            Au niveau du développement :
            <li>
                C# - HTML - CSS - PHP - JavaScript - JQuery -  Bootstrap - Vuetify - .net core - VueJS - TypeScript

            </li>
        </ol>
        <ol>
            Les outils:
            <li>
                Visual Studio - NetBeans - NotePad++ - SublimeText - NodeJs - gestion de versions Git - Repository sur Azure

            </li>
        </ol>
    </ul>
    
</div>
<div class="slide">
    <h1>Mes expériences professionnelles</h1>
    <ul>
        <li class="stage1">
            <p>
                Mairie de L'HERMITAGE - Au cours de ce stage, j'ai dû développer une application web au sein d'une médiathèque,
                cette application devait avoir pour objectif d'offir un service ludique pour les enfants venant à la médiathèque.
                L'application utilisait une API d'une partie de la base de données de la médiathèque, au lancement de l'application, elle générait une liste 
                d'élements. L'application affichait ensuite certains paramètres d'un des élements, pour but que l'utilisateur aille trouver cet élement dans la 
                médiathèque et qu'ensuite, il scanne son code-barre pour passer à l'élement suivant et ainsi de suite jusqu'au nombre d'élement qu'il a choisi de faire au début de la partie.
                J'ai donc développé cette application depuis 0 et en 6 semaines produit une 1ère version qui marchait, je l'ai donc développé avec les technologies suivante: 
                javascript, jquery, html, css, bootstrap.
            </p>
        </li>
        <li class="stage2">
            <p>
                Orange Business Services à CESSON-SEVIGNE - Pendant 7 semaines, j'ai dû comprendre le code initial d'une application pour pouvoir en faire sa refonte.
                L'entreprise avait développé une application interne qui permettait de présenter au client les fonctionnalitées d'Azure devops. Ce projet
                ayant été écris assez rapidement n'était pas optimisé, j'ai donc eu la tâche de commencer sa refonte.
                Cette application simulait une université avec des cours, des étudiants, etc... J'ai réalisé cette application en .net core, vueJS, typescript et vuetify.
                Cette refonte devait se baser sur l'utilisation d'API REST donc j'ai séparé le projet en 2 parties, une pour le backend et une pour le frontend.
                Au niveau du backend j'ai développé en couche et donc c'est dans cette partie que sont traitées les données e t gérés les méthodes de l'API REST.
                Ensuite côté frontend, j'ai refait le visuel de l'application et ce frontend ne traite aucune données, il fait juste appel au backend.
                J'ai donc développé toute la partie qui s'occupait des cours de l'université, et je l'ai terminé dans les temps.
                Cette application va continuer d'être développer par quelqu'uns d'autre après mon passage.
            </p>
        </li>
    </ul>
</div>
<div class="slide">
    <h1>Contact</h1>
    <p>Pour plus d'informations , vous pouvez me contacter par ce mail : elouan.duval35@gmail.com</p>
</div>
    </agile>
</main>
</template>

<style>
p, li, ol{
  font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

h1, h2{
    font-family: fantasy;
    color : black;
}

a {
  text-decoration: none; 
}

ul, ol{
    list-style: none;
}
.agile__nav-button {
  background: transparent;
  border: none;
  color: red;
  cursor: pointer;
  font-size: 24px;
  height: 100%;
  position: absolute;
  top: 0;
  -webkit-transition-duration: 0.3s;
          transition-duration: 0.3s;
  width: 80px;
} 
.agile__nav-button:hover {
  background-color: rgba(70, 192, 151, 0.5);
  opacity: 1;
}
.agile__nav-button--prev {
  left: 0;
}
.agile__nav-button--next {
  right: 0;
}
.agile__dots {
  bottom: 10px;
  left: 50%;
  position: absolute;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}
.agile__dot {
  margin: 0 10px;
}
.agile__dot button {
  background-color: transparent;
  border: 1px solid red;
  border-radius: 50%;
  cursor: pointer;
  display: block;
  height: 10px;
  font-size: 0;
  line-height: 0;
  margin: 0;
  padding: 0;
  -webkit-transition-duration: 0.3s;
          transition-duration: 0.3s;
  width: 10px;
}
 .agile__dot--current button, .agile__dot:hover button {
  background-color: red;
}

 .slide { 
  display: block;
  height: 907px;
  -o-object-fit: cover;
     object-fit: cover;
  width: 100%;
} 
</style>